<?xml version="1.0" encoding="us-ascii"?>
<?xml-stylesheet type="text/css" href="xhtml2.css" ?>
<!DOCTYPE html [
	<!ATTLIST section id ID #IMPLIED>
	<!ATTLIST h       id ID #IMPLIED>
	<!ATTLIST div     id ID #IMPLIED>
	<!ATTLIST nl      id ID #IMPLIED>
]>
<html xmlns="http://www.w3.org/2002/06/xhtml2" lang="en">
<head>
	<title>Chapter 5: Datatypes</title>
</head>
<body>
<h>Chapter 5: Datatypes</h>

<section class="chapter" number="5">

<section class="assertion">
	<h href="http://www.w3.org/MarkUp/Forms/Group/Drafts/Sources/index-all.html#datatypes-schema">5.1 XForms Basic Built-in Types</h>
	<p class="MUST UA">
		XForms processors MUST support all XML Schema built-in datatypes 
		(primitive and derived) without explicitly importing the Schema for Schemas
	</p>
	<nl>
		<li href="001.xml">Test for all built-in datatypes</li>
		<li href="derived.xml">Test for derivation by restriction, list, and union</li>
    <li href="pattern.xml">Test for specifics of pattern support</li>
	</nl>
</section>

<section class="assertion">
	<h href="http://www.w3.org/MarkUp/Forms/Group/Drafts/Sources/index-all.html#datatypes-xforms">5.2 XForms Datatypes</h>
	<p class="MUST UA">
		XForms Processors MUST support XForms-defined datatypes 
		without explicitly importing the Schema for XForms.
	</p>
	<nl>
		<li href="002.xml">Test for XForms-defined datatypes</li>
	</nl>
</section>

</section>

</body>
</html>
